Subject: Re: bug#38737: 26.3; Doc string of `files--message'
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Wed, 25 Dec 2019 16:51:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 24 Dec 2019 13:42:34 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> `message' does not "print to" the minibuffer or "display on" the
> minibuffer.  It shows a message in the echo area.

Thanks, I fixed the wording.

> Plus, it's not true that it sometimes does not show the message.  What
> really happens is that the message is sometimes shown and then
> immediately cleared - it is still logged in `*Messages*', for example.

"Don't show" doesn't imply "do nothing", so I see no problem here.

> The doc string should just say that if `save-silently' is non-nil then,
> after showing the message in the echo area, it is cleared.

That's a description of the implementation, so not useful: the source
is always available.  From the user POV I think the message is not
shown, because redisplay doesn't have an opportunity to kick in.